package com.qmth.eds.common.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 学期表
 */
@ApiModel(value = "ExamSyncStudent对象", description = "考务数据同步考生信息表")
public class ExamSyncStudent implements Serializable {

    private static final long serialVersionUID = 1L;

    @ExcelIgnore
    @ApiModelProperty(value = "id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ExcelIgnore
    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long schoolId;

    @ExcelIgnore
    @ApiModelProperty(value = "汇总表ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examSyncTotalId;

    @ApiModelProperty(value = "学年")
    private String xnm;

    @ApiModelProperty(value = "学期")
    private String xqm;

    @ApiModelProperty(value = "教学班id")
    private String jxbId;

    @ApiModelProperty(value = "教学班名称")
    private String jxbmc;

    @ApiModelProperty(value = "课程号")
    private String kch;

    @ApiModelProperty(value = "课程名称")
    private String kcmc;

    @ApiModelProperty(value = "工号")
    private String jgh;

    @ApiModelProperty(value = "姓名")
    private String xm;

    @ApiModelProperty(value = "开课部门")
    private String kkbm;

    @ApiModelProperty(value = "学分")
    private String xf;

    @ApiModelProperty(value = "学号")
    private String xh;

    @ApiModelProperty(value = "学生姓名")
    private String xsxm;

    @ApiModelProperty(value = "学院")
    private String jgmc;

    @ApiModelProperty(value = "专业")
    private String zymc;

    @ApiModelProperty(value = "重修标记")
    private String cxbj;

    @ApiModelProperty(value = "年级")
    private String njdmId;

    @ApiModelProperty(value = "座位号")
    private String zwh;

    @ApiModelProperty(value = "场地名称")
    private String cdmc;

    @ApiModelProperty(value = "考试备注")
    private String ksbz;

    @ApiModelProperty(value = "对应云阅卷课程代码")
    @TableField(exist = false)
    private String cloudMarkingCourseCode;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getExamSyncTotalId() {
        return examSyncTotalId;
    }

    public void setExamSyncTotalId(Long examSyncTotalId) {
        this.examSyncTotalId = examSyncTotalId;
    }

    public String getXnm() {
        return xnm;
    }

    public void setXnm(String xnm) {
        this.xnm = xnm;
    }

    public String getXqm() {
        return xqm;
    }

    public void setXqm(String xqm) {
        this.xqm = xqm;
    }

    public String getJxbId() {
        return jxbId;
    }

    public void setJxbId(String jxbId) {
        this.jxbId = jxbId;
    }

    public String getJxbmc() {
        return jxbmc;
    }

    public void setJxbmc(String jxbmc) {
        this.jxbmc = jxbmc;
    }

    public String getKch() {
        return kch;
    }

    public void setKch(String kch) {
        this.kch = kch;
    }

    public String getKcmc() {
        return kcmc;
    }

    public void setKcmc(String kcmc) {
        this.kcmc = kcmc;
    }

    public String getJgh() {
        return jgh;
    }

    public void setJgh(String jgh) {
        this.jgh = jgh;
    }

    public String getXm() {
        return xm;
    }

    public void setXm(String xm) {
        this.xm = xm;
    }

    public String getKkbm() {
        return kkbm;
    }

    public void setKkbm(String kkbm) {
        this.kkbm = kkbm;
    }

    public String getXf() {
        return xf;
    }

    public void setXf(String xf) {
        this.xf = xf;
    }

    public String getXh() {
        return xh;
    }

    public void setXh(String xh) {
        this.xh = xh;
    }

    public String getXsxm() {
        return xsxm;
    }

    public void setXsxm(String xsxm) {
        this.xsxm = xsxm;
    }

    public String getJgmc() {
        return jgmc;
    }

    public void setJgmc(String jgmc) {
        this.jgmc = jgmc;
    }

    public String getZymc() {
        return zymc;
    }

    public void setZymc(String zymc) {
        this.zymc = zymc;
    }

    public String getCxbj() {
        return cxbj;
    }

    public void setCxbj(String cxbj) {
        this.cxbj = cxbj;
    }

    public String getNjdmId() {
        return njdmId;
    }

    public void setNjdmId(String njdmId) {
        this.njdmId = njdmId;
    }

    public String getZwh() {
        return zwh;
    }

    public void setZwh(String zwh) {
        this.zwh = zwh;
    }

    public String getCdmc() {
        return cdmc;
    }

    public void setCdmc(String cdmc) {
        this.cdmc = cdmc;
    }

    public String getKsbz() {
        return ksbz;
    }

    public void setKsbz(String ksbz) {
        this.ksbz = ksbz;
    }

    public String getCloudMarkingCourseCode() {
        return cloudMarkingCourseCode;
    }

    public void setCloudMarkingCourseCode(String cloudMarkingCourseCode) {
        this.cloudMarkingCourseCode = cloudMarkingCourseCode;
    }
}
