package com.qmth.eds.common.enums;

import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * 任务类型enum
 */
public enum TaskTypeEnum {

    WHU_TEACH_DATA("同步武大考务数据"),

    CLOUD_MARKING_STUDENT_SCORE("同步云阅卷考生成绩");

    private String title;

    private TaskTypeEnum(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    /**
     * 状态转换 toName
     *
     * @param title
     * @return
     */
    public static String convertToName(String title) {
        for (TaskTypeEnum e : TaskTypeEnum.values()) {
            if (Objects.equals(title, e.getTitle())) {
                return e.name();
            }
        }
        return null;
    }

    public static List<EnumResult> listTypes() {
        List<EnumResult> list = new ArrayList<>();
        for (TaskTypeEnum value : TaskTypeEnum.values()) {
            EnumResult result = new EnumResult();
            result.setName(value.name());
            result.setOrdinal(value.ordinal());
            result.setCode(null);
            result.setDesc(value.getTitle());
            list.add(result);
        }
        return list;
    }
}
