package com.qmth.eds.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.eds.bean.dto.ExamAssignDto;
import com.qmth.eds.bean.result.AssignResultPreviewResult;
import com.qmth.eds.common.entity.ExamAssign;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 * 赋分管理 Mapper 接口
 * </p>
 */
public interface ExamAssignMapper extends BaseMapper<ExamAssign> {

    IPage<ExamAssignDto> pageData(@Param("page") Page<ExamAssignDto> page, @Param("schoolId") Long schoolId, @Param("semesterId") Long semesterId, @Param("examTypeId") Long examTypeId, @Param("courseCode") String courseCode);

    /**
     * 赋分结果预览
     *
     * @param iPage
     * @param schoolId
     * @param collegeId
     * @param semesterId
     * @param examTypeId
     * @param courseCode
     * @param openCollege
     * @param kcCollege
     * @param clazzId
     * @param teacherCode
     * @return
     */
    IPage<AssignResultPreviewResult> assignResultPreview(IPage<Map> iPage,
                                                         @Param("schoolId") Long schoolId,
                                                         @Param("collegeId") Long collegeId,
                                                         @Param("semesterId") Long semesterId,
                                                         @Param("examTypeId") Long examTypeId,
                                                         @Param("courseCode") String courseCode,
                                                         @Param("openCollege") String openCollege,
                                                         @Param("kcCollege") String kcCollege,
                                                         @Param("clazzId") String clazzId,
                                                         @Param("teacherCode") String teacherCode);

    ExamAssign getBySchoolIdAndSemesterIdAndExamTypeIdAndCourseCodeAndOpenCollege(@Param("collegeId") Long collegeId, @Param("semesterId") Long semesterId, @Param("examTypeId") Long examTypeId, @Param("courseCode") String courseCode, @Param("kkxy") String kkxy);
}
