package com.qmth.eds.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.eds.common.entity.ExamSyncStudent;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 考务数据同步考生信息表 Mapper 接口
 */
public interface ExamSyncStudentMapper extends BaseMapper<ExamSyncStudent> {

    /**
     * 根据机构id、考试id、科目代码查询考查学院
     *
     * @param schoolId
     * @param semesterId
     * @param orgId
     * @param examTypeId
     * @param courseCode
     * @param openCollege
     * @param kcCollege
     * @param clazzId
     * @return
     */
    List<ExamSyncStudent> queryByExamineCollegeList(@Param("schoolId") Long schoolId, @Param("semesterId") Long semesterId, @Param("orgId") Long orgId, @Param("examTypeId") Long examTypeId, @Param("courseCode") String courseCode
            , @Param("openCollege") String openCollege, @Param("kcCollege") String kcCollege, @Param("clazzId") String clazzId);
}
